<?php get_header(); ?>

	<div id="contentwrap">
		<div id="title">
			<h2>Results for: "<em><?php the_search_query(); ?></em>"</h2>
		</div>

		<?php $access_key = 1; ?>
		<?php if ( have_posts() ): while ( have_posts() ): the_post(); ?>

		<div class="post">
			<?php if ( mopr_get_option( 'show_thumbnails' ) && has_post_thumbnail() ) : $thumbnail_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large' ); ?>
			<a href="<?php the_permalink(); ?>" class="thumbnail"><img src="<?php echo mopr_create_thumbnail( $thumbnail_url[0], 0, 50, 50 ); ?>" /></a>
			<?php endif; ?>
			<h2 class="title"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" accesskey="<?php echo $access_key; $access_key++; ?>"><?php the_title(); ?></a></h2>
			<p class="subtitle"><?php the_time( get_option( 'date_format' ) ) ?>.
				<?php if ( $post->post_type != 'page'  ) : ?>
					<a href="<?php the_permalink(); ?>#comments"><?php comments_number( '0 Comments', '1 Comment', '% Comments' ); ?></a>
				<?php endif; ?>
			</p>
		</div>

		<?php endwhile; ?>
		<?php endif; ?>

		<?php if ( mopr_check_pagination() ) : ?>
		
<div class="navigation">
   <!-- REMOVE default page navigation once your custom pagination is working. -->
   <?php //REMOVE DEFAULT:  next_posts_link('&laquo;&laquo; Older Posts') 
        //REMOVE DEFAULT:   previous_posts_link('Newer Posts &raquo;&raquo;') ?>
      
   <!-- ADD Custom Numbered Pagination code. -->
   <?php if(function_exists('pagenavi')) { pagenavi(); } ?>
   </div>
			<div class="clearfix"></div>

		<?php endif; ?>

		<?php get_sidebar(); ?>
	</div>

<?php get_footer(); ?>